Hitachi Vantara Pentaho Community Forums
Results 1 to 3 of 3

Thread: After updating from Puppy 4.3.1 to 5.1.1, can no longer run 'spoon.sh'

  1. #1
    Join Date
    Sep 2010
    Posts
    22

    Default After updating from Puppy 4.3.1 to 5.1.1, can no longer run 'spoon.sh'

    Sorry to bug you guys with something like this, but I've just updated to Puppy Linux 5.1.1 from 4.3.1.

    While I'm ecstatic that I can now reliably print over my wireless network, it's at the expense of running 'spoon.sh'. After clicking on the spoon.sh icon did nothing, I ran the file in 'urxvt' (terminal), and saw the following messages:

    INFO 27-09 06:08:36,918 - Using "/tmp/vfs_cache" as temporary files store.
    java.lang.IllegalArgumentException: Argument not valid
    at org.eclipse.swt.SWT.error (Unknown Source)
    at org.eclipse.swt.SWT.error (Unknown Source)
    at org.eclipse.swt.SWT.error (Unknown Source)
    at org.eclipse.swt.graphics.Font.init (Unknown Source)

    And the list goes on an on. When I opened up 'spoon.sh' as a text file to attempt to get a clue, I thought the problem was that I didn't have Xulrunner installed. However when I checked my backup of 4.3.1, the path referenced in the shell file wasn't there either. So then I thought I needed JRE. So after installing "Version 6 Update 21" (latest), it didn't help. Any ideas? Thanks in advance!

  2. #2
    Join Date
    Sep 2010
    Posts
    22

    Default

    Nevermind. I went back to Puppy 4.3.1. Forget reliable printing. I need my PDI working!

  3. #3
    Join Date
    Nov 1999
    Posts
    9,729

    Default

    Sorry I couldn't help. I've never even heard of "Puppy Linux"... ;-)

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
Privacy Policy | Legal Notices | Safe Harbor Privacy Policy

Copyright © 2005 - 2019 Hitachi Vantara Corporation. All Rights Reserved.